Bug 1474893 (CVE-2017-11468) - CVE-2017-11468 docker-distribution: Does not properly restrict the amount of content accepted from a user
Summary: CVE-2017-11468 docker-distribution: Does not properly restrict the amount of ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-11468
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1474894 1479705 1479706
Blocks: 1474896
TreeView+ depends on / blocked
 
Reported: 2017-07-25 15:10 UTC by Andrej Nemec
Modified: 2019-09-29 14:16 UTC (History)
6 users (show)

Fixed In Version: docker-registry 2.6.2
Doc Type: If docs needed, set a value
Doc Text:
It was found that docker-distribution did not properly restrict memory allocation size for a registry instance through the manifest endpoint. An attacker could send a specially crafted request that would exhaust the memory of the docker-distribution service.
Clone Of:
Environment:
Last Closed: 2017-09-05 12:29:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2603 normal SHIPPED_LIVE Low: docker-distribution security, bug fix, and enhancement update 2017-09-05 14:33:23 UTC

Description Andrej Nemec 2017-07-25 15:10:28 UTC
Docker Registry in Docker Distribution does not properly restrict the amount of content accepted from a user, which allows remote attackers to cause a denial of service (memory consumption) via the manifest endpoint. 

Upstream patch:

https://github.com/docker/distribution/commit/29fa466debaabb64f8559116bbffd20a289d523c

References:

https://github.com/docker/distribution/releases/tag/v2.6.2

Comment 1 Andrej Nemec 2017-07-25 15:10:53 UTC
Created docker-distribution tracking bugs for this issue:

Affects: fedora-all [bug 1474894]

Comment 4 errata-xmlrpc 2017-09-05 10:38:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Extras

Via RHSA-2017:2603 https://access.redhat.com/errata/RHSA-2017:2603


Note You need to log in before you can comment on or make changes to this bug.